package cn.com.ctop.kuaishou.modules.ai.controller;

import cn.com.ctop.common.module.utils.QueryGenerator;
import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouProgramCreativeLevelOperationRecord;
import cn.com.ctop.kuaishou.modules.ai.service.IAiKuaishouProgramCreativeLevelOperationRecordService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Arrays;

 /**
 * 程序换创意创建记录
 * @author jeecg-boot
 * @date   2021-04-12
 * @version V1.0
 */
@Slf4j
@Api(tags="程序换创意创建记录")
@RestController
@RequestMapping("/ctop/aiKuaishouProgramCreativeLevelOperationRecord")
public class AiKuaishouProgramCreativeLevelOperationRecordController {
	@Autowired
	private IAiKuaishouProgramCreativeLevelOperationRecordService aiKuaishouProgramCreativeLevelOperationRecordService;

	/**
	  * 分页列表查询
	 * @param aiKuaishouProgramCreativeLevelOperationRecord
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	@GetMapping(value = "/list")
	public Result<IPage<AiKuaishouProgramCreativeLevelOperationRecord>> queryPageList(AiKuaishouProgramCreativeLevelOperationRecord aiKuaishouProgramCreativeLevelOperationRecord,
																					  @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
																					  @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
																					  HttpServletRequest req) {
		Result<IPage<AiKuaishouProgramCreativeLevelOperationRecord>> result = new Result<>();
		QueryWrapper<AiKuaishouProgramCreativeLevelOperationRecord> queryWrapper = QueryGenerator.initQueryWrapper(aiKuaishouProgramCreativeLevelOperationRecord, req.getParameterMap());
		Page<AiKuaishouProgramCreativeLevelOperationRecord> page = new Page<AiKuaishouProgramCreativeLevelOperationRecord>(pageNo, pageSize);
		IPage<AiKuaishouProgramCreativeLevelOperationRecord> pageList = aiKuaishouProgramCreativeLevelOperationRecordService.page(page, queryWrapper);
		result.setSuccess(true);
		result.setResult(pageList);
		return result;
	}

	/**
	  *   添加
	 * @param aiKuaishouProgramCreativeLevelOperationRecord
	 * @return
	 */
	@PostMapping(value = "/add")
	public Result<AiKuaishouProgramCreativeLevelOperationRecord> add(@RequestBody AiKuaishouProgramCreativeLevelOperationRecord aiKuaishouProgramCreativeLevelOperationRecord) {
		Result<AiKuaishouProgramCreativeLevelOperationRecord> result = new Result<>();
		try {
			aiKuaishouProgramCreativeLevelOperationRecordService.save(aiKuaishouProgramCreativeLevelOperationRecord);
			result.success("添加成功！");
		} catch (Exception e) {
			log.error(e.getMessage(),e);
			result.error500("操作失败");
		}
		return result;
	}

	/**
	  *  编辑
	 * @param aiKuaishouProgramCreativeLevelOperationRecord
	 * @return
	 */
	@PutMapping(value = "/edit")
	public Result<AiKuaishouProgramCreativeLevelOperationRecord> edit(@RequestBody AiKuaishouProgramCreativeLevelOperationRecord aiKuaishouProgramCreativeLevelOperationRecord) {
		Result<AiKuaishouProgramCreativeLevelOperationRecord> result = new Result<AiKuaishouProgramCreativeLevelOperationRecord>();
		AiKuaishouProgramCreativeLevelOperationRecord aiKuaishouProgramCreativeLevelOperationRecordEntity = aiKuaishouProgramCreativeLevelOperationRecordService.getById(aiKuaishouProgramCreativeLevelOperationRecord.getCreativeUuid());
		if(aiKuaishouProgramCreativeLevelOperationRecordEntity==null) {
			result.error500("未找到对应实体");
		}else {
			boolean ok = aiKuaishouProgramCreativeLevelOperationRecordService.updateById(aiKuaishouProgramCreativeLevelOperationRecord);
			if(ok) {
				result.success("修改成功!");
			}
		}

		return result;
	}

	/**
	  *   通过id删除
	 * @param id
	 * @return
	 */
	@DeleteMapping(value = "/delete")
	public Result<?> delete(@RequestParam(name="id",required=true) String id) {
		try {
			aiKuaishouProgramCreativeLevelOperationRecordService.removeById(id);
		} catch (Exception e) {
			log.error("删除失败",e.getMessage());
			return Result.error("删除失败!");
		}
		return Result.ok("删除成功!");
	}

	/**
	  *  批量删除
	 * @param ids
	 * @return
	 */
	@DeleteMapping(value = "/deleteBatch")
	public Result<AiKuaishouProgramCreativeLevelOperationRecord> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		Result<AiKuaishouProgramCreativeLevelOperationRecord> result = new Result<>();
		if(ids==null || "".equals(ids.trim())) {
			result.error500("参数不识别！");
		}else {
			this.aiKuaishouProgramCreativeLevelOperationRecordService.removeByIds(Arrays.asList(ids.split(",")));
			result.success("删除成功!");
		}
		return result;
	}

	/**
	  * 通过id查询
	 * @param id
	 * @return
	 */
	@GetMapping(value = "/queryById")
	public Result<AiKuaishouProgramCreativeLevelOperationRecord> queryById(@RequestParam(name="id",required=true) String id) {
		Result<AiKuaishouProgramCreativeLevelOperationRecord> result = new Result<>();
		AiKuaishouProgramCreativeLevelOperationRecord aiKuaishouProgramCreativeLevelOperationRecord = aiKuaishouProgramCreativeLevelOperationRecordService.getById(id);
		if(aiKuaishouProgramCreativeLevelOperationRecord==null) {
			result.error500("未找到对应实体");
		}else {
			result.setResult(aiKuaishouProgramCreativeLevelOperationRecord);
			result.setSuccess(true);
		}
		return result;
	}
}
