package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 自定义创意创建记录
 * @author jeecg-boot
 * @date   2021-04-12
 * @version V1.0
 */
@Data
@TableName("ctop_ai_kuaishou_creative_level_operation_record")
public class AiKuaishouCreativeLevelOperationRecord {

	/**创意操作表uuid*/
	@TableId(type = IdType.ASSIGN_UUID)
	private String creativeUuid;
	/**AI策略ID*/
	private String aiStrategyUuid;
	/**账户ID*/
	private Long accountId;
	/**广告计划ID*/
	private Long campaignId;
	/**广告组ID*/
	private Long unitId;
	/**广告创意ID*/
	private Long creativeId;
	/**是否为便利贴，默认为0*/
	private Integer isSticky;
	/**创意名称*/
	private String creativeName;
	/**视频ID*/
	private String photoId;
	/**封面md5*/
	private String imageMd5;
	/**封面图片token*/
	private String imageToken;
	/**素材类型*/
	private Integer creativeMaterialType;
	/**便利贴单图图片创意token*/
	private String imageTokens;
	/**行动号召按钮文案*/
	private String actionBarText;
	/**广告语*/
	private String description;
	/**便利贴创意短广告语*/
	private String shortSlogan;
	/**封面广告语标题*/
	private String stickerTitle;
	/**贴纸样式类型*/
	private String overlayType;
	/**广告标签*/
	private String exposeTag;
	/**广告标签2期*/
	private String newExposeTag;
	/**安卓下载中间页ID*/
	private Integer siteId;
	/**第三方点击检测链接*/
	private String clickTrackUrl;
	/**第三方开始播放监测链接*/
	private String impressionUrl;
	/**第三方有效播放监测链接*/
	private String adPhotoPlayedT3sUrl;
	/**第三方点击按钮监测链接*/
	private String actionbarClickUrl;
	/**创意分类*/
	private Integer creativeCategory;
	/**创意标签*/
	private String creativeTag;
	/**操作类型 1-新增 2-修改*/
	private Integer operationType;
	/**创意创建时间*/
	private Date creativeCreateTime;
	/**创意更新时间*/
	private Date creativeUpdateTime;
	/**创建时间*/
	private Date createTime;
	/**状态*/
	private Integer status;
	/**状态详情*/
	private String message;
}
