package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 程序换创意创建记录
 * @author jeecg-boot
 * @date   2021-04-12
 * @version V1.0
 */
@Data
@TableName("ctop_ai_kuaishou_program_creative_level_operation_record")
public class AiKuaishouProgramCreativeLevelOperationRecord {

	/**程序化创意操作表uuid*/
	@TableId(type = IdType.ASSIGN_UUID)
	private String creativeUuid;
	/**AI策略ID*/
	private String aiStrategyUuid;
	/**账户ID*/
	private Integer accountId;
	/**广告计划ID*/
	private Integer campaignId;
	/**广告组ID*/
	private Integer unitId;
	/**是否为便利贴，默认为0*/
	private Integer isSticky;
	/**程序化创意名称*/
	private String packageName;
	/**横版视频ID list*/
	private String horizontalPhotoIds;
	/**竖版视频ID list*/
	private String verticalPhotoIds;
	/**封面list image_token*/
	private String coverImageTokens;
	/**落地页ID*/
	private Integer siteId;
	/**封面贴纸*/
	private String stickerStyles;
	/**封面广告语*/
	private String coverSlogans;
	/**行动号召按钮*/
	private String actionBar;
	/**作品广告语*/
	private String captions;
	/**第三方点击检测链接*/
	private String clickUrl;
	/**第三方点击检测链接*/
	private String actionbarClickUrl;
	/**创意分类*/
	private Integer creativeCategory;
	/**创意标签*/
	private String creativeTag;
	/**状态值 1-已提交等待回调 0-创建成功 */
	private Integer status;
	/**状态详情*/
	private String message;
	/**操作类型 1-新增 2-修改*/
	private Integer operationType;
	/**创意创建时间*/
	private Date creativeCreateTime;
	/**创意更新时间*/
	private Date creativeUpdateTime;
	/**创建时间*/
	private Date createTime;
}
