package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 组创建记录
 * @author jeecg-boot
 * @date   2021-04-12
 * @version V1.0
 */
@Data
@TableName("ctop_ai_kuaishou_unit_level_operation_record")
public class AiKuaishouUnitLevelOperationRecord {

	/**组操作表uuid*/
	@TableId(type = IdType.ASSIGN_UUID)
	private String groupUuid;
	/**AI策略ID*/
	private String aiStrategyUuid;
	/**账户ID*/
	private Long accountId;
	/**广告计划ID*/
	private Long campaignId;
	/**广告组ID*/
	private Long unitId;
	/**广告组名称*/
	private String groupName;
	/**定向模板id*/
	private Integer templateId;
	/**优化目标出价类型*/
	private Integer bidType;
	/**优先从系统应用商店下载*/
	private Integer useAppMarket;
	/**应用商店列表*/
	private String appStore;
	/**出价*/
	private Integer bid;
	/**出价*/
	private Integer cpaBid;
	/**优先低成本出价*/
	private Integer smartBid;
	/**优化目标*/
	private Integer ocpxActionType;
	/**深度转化目标*/
	private Integer deepConversionType;
	/**付费ROI系数*/
	private Float roiRatio;
	/**资源位置*/
	private String sceneId;
	/** 创意制作方式*/
	private Integer unitType;
	/**投放开始时间*/
	private String beginTime;
	/**投放结束时间*/
	private String endTime;
	/**投放时间段*/
	private String scheduleTime;
	/**单日预算*/
	private Integer dayBudget;
	/**分日预算*/
	private String dayBudgetSchedule;
	/**转化目标ID*/
	private Integer convertId;
	/**url类型*/
	private Integer urlType;
	/**url类型*/
	private Integer webUriType;
	/**投放链接*/
	private String url;
	/**调起链接*/
	private String schemaUri;
	/**应用ID*/
	private Integer appId;
	/**创意展现方式*/
	private Integer showMode;
	/**投放方式*/
	private Integer speed;
	/**预约广告*/
	private Integer siteType;
	/**游戏礼包码*/
	private String giftData;
	/**是否使用落地页前置功能*/
	private Integer videoLandingPage;
	/**智能定向*/
	private Integer autoTarget;
	/**是否开启自动生成视频*/
	private Integer autoCreatePhoto;
	/**地域*/
	private String region;
	/**商圈定向*/
	private String districtIds;
	/**用户类型*/
	private Integer userType;
	/**最大年龄*/
	private Integer ageMin;
	/**最小年龄*/
	private Integer ageMax;
	/**固定年龄段*/
	private String agesRange;
	/**性别*/
	private Integer gender;
	/**操作系统*/
	private Integer platformOs;
	/**Android版本*/
	private Integer androidOsv;
	/**iOS版本*/
	private Integer iosOsv;
	/**网络环境*/
	private Integer network;
	/**设备品牌*/
	private String deviceBrand;
	/**设备价格*/
	private String devicePrice;
	/**商业兴趣类型*/
	private Integer businessInterestType;
	/**商业兴趣*/
	private String businessInterest;
	/**网红粉丝*/
	private String fansStar;
	/**兴趣视频用户*/
	private String interestVideo;
	/**APP行为-按分类*/
	private String appInterest;
	/**APP行为-按APP名称*/
	private String appIds;
	/**过滤已转化人群纬度*/
	private Integer filterConvertedLevel;
	/**人群包定向*/
	private String population;
	/**人群包排除*/
	private String excludePopulation;
	/**付费人群包id*/
	private String paidAudience;
	/**开启智能扩量*/
	private Integer isOpen;
	/**不可突破年龄*/
	private Integer noAgeBreak;
	/**不可突破性别*/
	private Integer noGenderBreak;
	/**不可突破地域*/
	private Integer noAreaBreak;
	/**行为兴趣定向*/
	private String behaviorInterest;
	/**操作类型 1-新增 2-修改*/
	private Integer operationType;
	/**组创建时间*/
	private Date groupCreateTime;
	/**组更新时间*/
	private Date groupUpdateTime;
	/**创建时间*/
	private Date createTime;
	/**状态*/
	private Integer status;
	/**状态详情*/
	private String message;
	/**程序化创意2.0-是否开启智能抽帧*/
	private Integer smartCover;
	/**程序化创意2.0-是否开启素材挖掘*/
	private Integer assetMining;
	/**深度转化目标出价*/
	private Integer deepConversionBid;
}
