package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 人群报表
 * package
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-03-26
 */
@Data
@TableName("ctop_kuaishou_crowd_package")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_crowd_package对象", description = "人群报表")
public class KuaishouCrowdPack {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 上传日期
     */
    @Excel(name = "上传日期", width = 15)
    @ApiModelProperty(value = "上传日期")
    private String statDate;
    /**
     * 人群包ID
     */
    @Excel(name = "人群包ID", width = 15)
    @ApiModelProperty(value = "人群包ID")
    private Long orientationId;
    /**
     * 人群包名称
     */
    @Excel(name = "人群包名称", width = 15)
    @ApiModelProperty(value = "人群包名称")
    private String orientationName;
    /**
     * 链接
     */
    private String url;
    /**
     * 数据状态'0 删除，1 有效'
     */
    private Integer dataStatus;
    /**
     * 执行结果反馈
     */
    private String message;
    /**
     * MD5
     */
    private String signature;
    /**
     * 人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...
     */
    @Excel(name = "人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...", width = 15)
    @ApiModelProperty(value = "人群包类型 1上传人群,2广告人群,3主题专区,4逻辑规则,5人群扩展,6平台定制,7定制付费...")
    private String populationType;
    /**
     * 匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5
     */
    @Excel(name = "匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5", width = 15)
    @ApiModelProperty(value = "匹配类型 1：IMEI；2：IDFA；3：IMEI_MD5；4：IDFA_MD5；5：手机号-MD5；7：OAID；8：OAID_MD5")
    private Integer type;
    /**
     * 状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效
     */
    @Excel(name = "状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效", width = 15)
    @ApiModelProperty(value = "状态 0计算中,1已生效,2已删除,3推送中,4已推送,5计算失败,6推送失败,7已失效")
    private Integer status;
    /**
     * 覆盖人群
     */
    @Excel(name = "覆盖人群", width = 15)
    @ApiModelProperty(value = "覆盖人群")
    private Long coverNum;
    /**
     * 上传数量
     */
    @Excel(name = "上传数量", width = 15)
    @ApiModelProperty(value = "上传数量")
    private Long recordSize;
    /**
     * 匹配数量
     */
    @Excel(name = "匹配数量", width = 15)
    @ApiModelProperty(value = "匹配数量")
    private Long matchSize;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField(exist = false)
    private String accountName;
}
