package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手组日报数据清洗
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-03-09
 */
@Data
@TableName("ctop_etl_kuaishou_group_daily_report")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_etl_kuaishou_group_daily_report对象", description = "快手组日报数据清洗")
public class EtlKuaiShouGroupDailyReport {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long accountId;
    /**
     * 计划ID
     */
    @Excel(name = "计划ID", width = 15)
    @ApiModelProperty(value = "计划ID")
    private Long campaignId;
    /**
     * 计划名称
     */
    @Excel(name = "计划名称", width = 15)
    @ApiModelProperty(value = "计划名称")
    private String campaignName;
    /**
     * 组id
     */
    @Excel(name = "组id", width = 15)
    @ApiModelProperty(value = "组id")
    private Long unitId;
    /**
     * 组名称
     */
    @Excel(name = "组名称", width = 15)
    @ApiModelProperty(value = "组名称")
    private String unitName;
    /**
     * 花费(元)
     */
    @Excel(name = "花费(元)", width = 15)
    @ApiModelProperty(value = "花费(元)")
    private java.math.BigDecimal charge;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Long bid;
    private Integer bidType;
    private Integer unitStatus;
    /**
     * 曝光数
     */
    @Excel(name = "曝光数", width = 15)
    @ApiModelProperty(value = "曝光数")
    private Long photoShow;
    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数", width = 15)
    @ApiModelProperty(value = "素材曝光数")
    private Long aclick;
    /**
     * 行为数
     */
    @Excel(name = "行为数", width = 15)
    @ApiModelProperty(value = "行为数")
    private Long bclick;
    /**
     * 应用下载数据-安卓下载开始数
     */
    @Excel(name = "应用下载数据-安卓下载开始数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载开始数")
    private Long downloadStarted;
    /**
     * 应用下载数据-安卓下载完成数
     */
    @Excel(name = "应用下载数据-安卓下载完成数", width = 15)
    @ApiModelProperty(value = "应用下载数据-安卓下载完成数")
    private Long downloadCompleted;
    /**
     * 应用下载数据-激活数
     */
    @Excel(name = "应用下载数据-激活数", width = 15)
    @ApiModelProperty(value = "应用下载数据-激活数")
    private Long activation;
    /**
     * 应用下载数据-首日付费次数
     */
    @Excel(name = "应用下载数据-首日付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-首日付费次数")
    private Long eventPayFirstDay;
    /**
     * 应用下载数据-付费次数
     */
    @Excel(name = "应用下载数据-付费次数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付费次数")
    private Long eventPay;
    /**
     * 应用下载数据-注册数
     */
    @Excel(name = "应用下载数据-注册数", width = 15)
    @ApiModelProperty(value = "应用下载数据-注册数")
    private Long eventRegister;
    /**
     * 应用下载数据-完件数
     */
    @Excel(name = "应用下载数据-完件数", width = 15)
    @ApiModelProperty(value = "应用下载数据-完件数")
    private Long eventJinJianApp;
    /**
     * 应用下载数据-付款成功数
     */
    @Excel(name = "应用下载数据-付款成功数", width = 15)
    @ApiModelProperty(value = "应用下载数据-付款成功数")
    private Long eventOrderPaid;
    /**
     * 应用下载数据-次留数（仅支持分日查询）
     */
    @Excel(name = "应用下载数据-次留数（仅支持分日查询）", width = 15)
    @ApiModelProperty(value = "应用下载数据-次留数（仅支持分日查询）")
    private Long eventNextDayStay;
    /**
     * 3s播放数
     */
    @Excel(name = "3s播放数", width = 15)
    @ApiModelProperty(value = "3s播放数")
    private Long play3sCount;
    private Long eventAppInvoked;
    /**
     * 时间
     */
    @Excel(name = "时间", width = 15)
    @ApiModelProperty(value = "时间")
    private String statDate;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
