package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 快手代理商账户表
 * @author jeecg-boot
 * @date   2020-03-03
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_agent_account")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_kuaishou_agent_account对象", description="快手代理商账户表")
public class KuaishouAgentAccount {

	/**id*/
	@TableId(type = IdType.INPUT)
	@JsonProperty("accountId")
	private Long id;
	/**accountId*/
	@Excel(name = "userId", width = 15)
	private Long userId;
	/**accountName*/
	@Excel(name = "accountName", width = 15)
	private String accountName;
	/**balance*/
	@Excel(name = "balance", width = 15)
	private java.math.BigDecimal balance;
	/**creditBalance*/
	@Excel(name = "creditBalance", width = 15)
	private java.math.BigDecimal creditBalance;
	/**extendedBalance*/
	@Excel(name = "extendedBalance", width = 15)
	private java.math.BigDecimal extendedBalance;
	/**rebate*/
	@Excel(name = "rebate", width = 15)
	private java.math.BigDecimal rebate;
	/**preRebate*/
	@Excel(name = "preRebate", width = 15)
	private java.math.BigDecimal preRebate;
	/**contractRebate*/
	@Excel(name = "contractRebate", width = 15)
	private java.math.BigDecimal contractRebate;
	/**directRebate*/
	@Excel(name = "directRebate", width = 15)
	private java.math.BigDecimal directRebate;
	/**totalBalance*/
	@Excel(name = "totalBalance", width = 15)
	private java.math.BigDecimal totalBalance;
	/**kuaibiBalance*/
	@Excel(name = "kuaibiBalance", width = 15)
	private java.math.BigDecimal kuaibiBalance;
	/**pushBalance*/
	@Excel(name = "pushBalance", width = 15)
	private java.math.BigDecimal pushBalance;
	/**recharged*/
	@Excel(name = "recharged", width = 15)
	private Boolean recharged;
	/**corporationName*/
	@Excel(name = "corporationName", width = 15)
	private String corporationName;
	/**reviewStatus*/
	@Excel(name = "reviewStatus", width = 15)
	private Integer reviewStatus;
	/**frozenStatus*/
	@Excel(name = "frozenStatus", width = 15)
	private Integer frozenStatus;
	/**transferAccountStatus*/
	@Excel(name = "transferAccountStatus", width = 15)
	private Boolean transferAccountStatus;
	/**createTime*/
    @Excel(name = "transferAccountStatus", width = 15)
    @ApiModelProperty(value = "createTime")
    private Date createTime;
}
